%define name 	gq
%define version 0.4.0
%define release 2mdk

Summary:	GQ is a GTK-based LDAP client. 
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License:	GPL
Group:		System/Configuration/Other 
Source0:	http://biot.com/gq/download/%{name}-%{version}.tar.bz2
Buildrequires:	openldap-devel openssl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
GQ is a GTK-based LDAP client.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
%__make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 644 icons/logo.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm


# (mandrake) menu support
install -d $RPM_BUILD_ROOT%{_menudir} 
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): longtitle="%{summary}" \
command="%{_bindir}/%{name}" title="%{name}"  needs="x11" \
section="Networking/Other" \
icon="%{name}.xpm" 
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun 
%{clean_menus}


%files
%defattr(-,root,root)
%doc README INSTALL COPYING ChangeLog NEWS TODO AUTHORS
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}*
%{_datadir}/pixmaps/gq/*


%changelog
* Thu Mar 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-2mdk
- fixes from Christian Zoffoli <czoffoli@linux-mandrake.com> :
p- changes in menu entry

* Tue Mar 06 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.4.0-1mdk
- new package




